<?php

namespace App\Modelos;

use Core\Database;

class Impuesto extends Database
{
    protected $table = 'app_impuestos';
    protected $id = 'imp_id';

    public function obtenerImpuestos()
    {
        return $this->consultar('SELECT * FROM app_impuestos')->all();
    }

    public function obtenerImpuesto(int $id_impuesto)
    {
        return $this->consultar("SELECT * FROM app_impuestos WHERE imp_id=$id_impuesto")->row();
    }

    public function actualizarEstatusTodos(int $imp_id, int $mp_estatus)
    {
        return $this->consultar("UPDATE app_impuestos SET imp_estatus = $mp_estatus WHERE imp_id!=$imp_id")->run();
    }

    public function comprobarImpuesto(int $id_impuesto)
    {
        return $this->consultar("SELECT * FROM app_productos WHERE pro_impid=$id_impuesto")->row();
    }
}
